# mysqlpp::BadParamCount Class Reference

Exception thrown when not enough query parameters are provided. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadParamCount:

[legend]
Collaboration diagram for mysqlpp::BadParamCount:

[legend]
List of all members.

## Public Member Functions

| BadParamCount (const char *w="")
| Create exception object.
| ~BadParamCount () throw ()
| Destroy exception.

## Detailed Description

Exception thrown when not enough query parameters are provided.

This is used in handling template queries.

The documentation for this class was generated from the following file:

- exceptions.h